VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "PetStore4"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Guide to the Perplexed:
' Rabbit1 example
' Copyright (c) 1997 by Desaware Inc. All Rights Reserved

Option Explicit


' The petstore lets you buy a collection of rabbits
Public Function BuyRabbits(ByVal RabbitCount As Integer) As RabbitCollection4
    Dim col As New RabbitCollection4
    Dim counter As Integer
    Call Rnd(-1)    ' Always get the same sequence
    ' Create the requested number of rabbits
    For counter = 1 To RabbitCount
        col.Add
    Next counter
    ' Return a collection containing the rabbits
    Set BuyRabbits = col
End Function

' The petstore lets you buy a collection of rabbits
Public Function BuyRabbitArray(ByVal RabbitCount As Long) As RabbitArray4
    Dim col As New RabbitArray4
    Dim counter As Integer
    ' Create the requested number of rabbits
    Call Rnd(-1)    ' Always get the same sequence
    For counter = 1 To RabbitCount
        col.Add
    Next counter
    ' Return a collection containing the rabbits
    Set BuyRabbitArray = col
End Function


